Opened 5 years ago

Closed 5 years ago

#41954 closed update (fixed)

rainbarf @0.6: update to 1.1

Reported by: creaktive (Stanislaw Pusep) Owned by: larryv (Lawrence Velázquez)
Priority: Normal Milestone:
Component: ports Version:
Keywords: haspatch maintainer Cc:
Port: rainbarf

Description (last modified by larryv (Lawrence Velázquez))

Change log since the actually indexed version (v0.6):

1.1 2013-10-30T09:54:00
 [Stanislaw Pusep <stas@sysd.org>]
 - Fixed for OS X Mavericks;
 - Added the --datfile option;
 - Minor documentation tweaks.

 [Josh Matthews <josh@jmatthews.us>]
 - Added support for Linux systems without energy_now and energy_full.

1.0 2013-10-21T12:06:00
 [Stanislaw Pusep <stas@sysd.org>]
 - Show swap usage (enabled by --swap parameter);
 - Simple output testing.

 [Henrik Hodne <henrik@hodne.io>]
 - Add support for /sys/class ACPI.

0.9 2013-07-31T17:28:00
 [Chris Knadler <takeshi91k@gmail.com>]
 - Wrap the flags in the readme in code blocks to make them stand out more.

 [Sergey Romanov <complefor@rambler.ru>]
 - Fix Changes to comply w/ CPAN::Changes Kwalitee.

 [Stanislaw Pusep <stas@sysd.org>]
 - Compute "unaccounted" memory on Linux (difference between MemTotal value
   and the sum of all the rest);
 - Fallback to the plain 16 colors if the installed version of
   Term::ANSIColor is outdated (also, complain to STDERR).

0.8 2013-04-06T10:55:00
 [Stanislaw Pusep <stas@sysd.org>]
 - Config file can be specified via RAINBARF environment variable;
 - Use select() instead of sleep() for faster execution under Linux;
 - Documentation enhancements;
 - Better CPAN compliance.

0.7 2013-03-04T13:15:00
 [Stanislaw Pusep <stas@sysd.org>]
 - FreeBSD compatibility;
 - Code cleanup.

 [Tom Cammann <tom.cammann@vmci.net>]
 - Allow --nobattery --remaining (show remaining time with no battery
   symbol).

Attachments (1)

rainbarf-1.1.diff (1.3 KB) - added by creaktive (Stanislaw Pusep) 5 years ago.
rainbarf 0.8 => 1.1

Download all attachments as: .zip

Change History (7)

comment:1 Changed 5 years ago by creaktive (Stanislaw Pusep)

Cc: stas@… added

Cc Me!

comment:2 Changed 5 years ago by larryv (Lawrence Velázquez)

Cc: stas@… removed
Description: modified (diff)
Keywords: haspatch added
Owner: changed from macports-tickets@… to creaktive@…
Summary: rainbarf port update to v1.1rainbarf @0.6: update to 1.1
Version: 2.2.1

comment:3 Changed 5 years ago by larryv (Lawrence Velázquez)

Description: modified (diff)

Thanks for the patch!

Changed 5 years ago by creaktive (Stanislaw Pusep)

Attachment: rainbarf-1.1.diff added

rainbarf 0.8 => 1.1

comment:4 Changed 5 years ago by creaktive (Stanislaw Pusep)

Updated the patch since the version in trunk was already bumped from 0.6 to 0.8.

comment:5 Changed 5 years ago by larryv (Lawrence Velázquez)

Keywords: maintainer added
Owner: changed from creaktive@… to larryv@…
Status: newassigned

Thanks.

comment:6 Changed 5 years ago by larryv (Lawrence Velázquez)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.